import logging
import random

import numpy
import torch


def random_seed(seed):
    random.seed(seed)
    numpy.random.seed(seed)
    torch.manual_seed(seed)
    logging.info("Seeded: {}".format(seed))